Foxit PDF SDK

Instance Methods | Properties | List of all members
FSWatermarkTextProperties Class Reference

Inherits NSObject.

## Instance Methods
(id) | - init
| Constructor.
(id) | - initWithFont:font_size:color:style:line_space:alignment:
| Constructor, with parameters. More...
(id) | - initWithProperties:
| Constructor, with another watermark text properties object. More...
(void) | - set:font_size:color:style:line_space:alignment:
| Set value. More...

## Properties
FSAlignment | alignment
| Text horizontal alignment. The default value is FSAlignmentLeft. More...
unsigned int | color
| Text color. Format: 0xRRGGBB. The default value is 0x000000.
FSFont * | font
| A font object used for the text.
float | font_size
| Font size in points. The default value is 24.0.
FSWatermarkTextPropertiesFontStyle | font_style
| Font style.The default value is FSWatermarkTextPropertiesFontStyleNormal. More...
float | line_space
| Space between vertical center of lines, in line heights. The default value is 1.0. More...

## Detailed Description

This class represents the watermark text settings used to construct a watermark object from text.

## Method Documentation

## ◆ initWithFont:font_size:color:style:line_space:alignment:()

- (id) initWithFont: |  | (FSFont*) | font
font_size: |  | (float) | font_size
color: |  | (unsigned int) | color
style: |  | (FSWatermarkTextPropertiesFontStyle) | style
line_space: |  | (float) | line_space
alignment: |  | (FSAlignment) | alignment

Constructor, with parameters.

The parameters line_space and alignment don't support tiled watermark, and will have no effect after setting.

Parameters

  [in] | font | A valid font object used for the text.
  [in] | font_size | Font size in points.
  [in] | color | Text color. Format: 0xRRGGBB.
  [in] | style | Font style. It should be one of the following values: FSWatermarkTextPropertiesFontStyleNormal FSWatermarkTextPropertiesFontStyleUnderline
  [in] | line_space | Space between vertical center of lines, in line heights. This value specifies the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.
  [in] | alignment | Text horizontal alignment. It should be one of the following values: FSAlignmentLeft FSAlignmentCenter FSAlignmentRight

## ◆ initWithProperties:()

- (id) initWithProperties: |  | (FSWatermarkTextProperties*) | properties |

Constructor, with another watermark text properties object.

Parameters

  [in] | properties | Another watermark text properties object.

## ◆ set:font_size:color:style:line_space:alignment:()

- (void) set: |  | (FSFont*) | font
font_size: |  | (float) | font_size
color: |  | (unsigned int) | color
style: |  | (FSWatermarkTextPropertiesFontStyle) | style
line_space: |  | (float) | line_space
alignment: |  | (FSAlignment) | alignment

Set value.

The parameters line_space and alignment don't support tiled watermark, and will have no effect after setting.

Parameters

  [in] | font | A valid font object used for the text.
  [in] | font_size | Font size in points.
  [in] | color | Text color. Format: 0xRRGGBB.
  [in] | style | Font style. It should be one of the following values: FSWatermarkTextPropertiesFontStyleNormal FSWatermarkTextPropertiesFontStyleUnderline
  [in] | line_space | Space between vertical center of lines, in line heights. This value specifies the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.
  [in] | alignment | Text horizontal alignment. It should be one of the following values: FSAlignmentLeft FSAlignmentCenter FSAlignmentRight

Returns
  None.

## Property Documentation

## ◆ alignment

- (FSAlignment) alignment
| read write nonatomic assign

Text horizontal alignment. The default value is FSAlignmentLeft.

It should be one of the following macro definitions:

- FSAlignmentLeft
- FSAlignmentCenter
- FSAlignmentRight

## ◆ font_style

- (FSWatermarkTextPropertiesFontStyle) font_style
| read write nonatomic assign

Font style.The default value is FSWatermarkTextPropertiesFontStyleNormal.

It should be one of the following values:

- FSWatermarkTextPropertiesFontStyleNormal
- FSWatermarkTextPropertiesFontStyleUnderline

## ◆ line_space

- (float) line_space
| read write nonatomic assign

Space between vertical center of lines, in line heights. The default value is 1.0.

This value is used to specify the multiple of line heights for the space between vertical center of lines. Valid range: from 0 to 10 (not including 0 but including 10). If this value is above 10, 10 will be used as default for the text watermark.